Qt 5.9 | Qt Help | C++ Classes | QHelpSearchQueryWidget

Qt 5.9.9 Reference Documentation

# QHelpSearchQueryWidget Class

The QHelpSearchQueryWidget class provides a simple line edit or an advanced widget to enable the user to input a search term in a standardized input mask. More...

Header: | #include <QHelpSearchQueryWidget>
qmake: | QT += help
Since: | Qt 4.4

- List of all members, including inherited members
- Obsolete members

## Public Functions

| QHelpSearchQueryWidget(QWidget *parent = Q_NULLPTR)
| ~QHelpSearchQueryWidget()
void | collapseExtendedSearch()
void | expandExtendedSearch()
bool | isCompactMode() const
QString | searchInput() const
void | setSearchInput(const QString &searchInput)

## Signals

void | search()

## Detailed Description

The QHelpSearchQueryWidget class provides a simple line edit or an advanced widget to enable the user to input a search term in a standardized input mask.

## Member Function Documentation

### QHelpSearchQueryWidget::QHelpSearchQueryWidget(QWidget *parent = Q_NULLPTR)

Constructs a new search query widget with the given parent.

### QHelpSearchQueryWidget::~QHelpSearchQueryWidget()

Destroys the search query widget.

### void QHelpSearchQueryWidget::collapseExtendedSearch()

Collapses the search query widget so that only the default search field is shown.

### void QHelpSearchQueryWidget::expandExtendedSearch()

Expands the search query widget so that the extended search fields are shown.

### bool QHelpSearchQueryWidget::isCompactMode() const

### `[signal]` void QHelpSearchQueryWidget::search()

This signal is emitted when a the user has the search button invoked. After receiving the signal you can ask the QHelpSearchQueryWidget for the search input that you may pass to the QHelpSearchEngine::search() function.

### QString QHelpSearchQueryWidget::searchInput() const

Returns a search phrase to use in combination with the QHelpSearchEngine::search(const QString &searchInput) function.

This function was introduced in Qt 5.9.

See also setSearchInput().

### void QHelpSearchQueryWidget::setSearchInput(const QString &searchInput)

Sets the QHelpSearchQueryWidget input field to the value specified by searchInput.

Note: The QHelpSearchEngine::search(const QString &searchInput) function has to be called to perform the actual search.

This function was introduced in Qt 5.9.

See also searchInput().